## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.commonui
Class ColumnDefaultValueInputDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.TrayDialog
                  org.eclipse.jface.dialogs.TitleAreaDialog
                      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.commonui.ColumnDefaultValueInputDialog

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class ColumnDefaultValueInputDialog

extends org.eclipse.jface.dialogs.TitleAreaDialog

Default value input dialog shared by Adaptive Server Anywhere table creation wizard and table schema editor

Author:
  Idull

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog
`DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`ColumnDefaultValueInputDialog(org.eclipse.swt.widgets.Shell parentShell, SybaseASABaseColumn column)`
`ColumnDefaultValueInputDialog(org.eclipse.swt.widgets.Shell parentShell, SybaseASABaseColumn column, boolean disableComputed)`

Method Summary

Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog
`setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

Methods inherited from class org.eclipse.jface.dialogs.TrayDialog
`close, closeTray, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnDefaultValueInputDialog

    public ColumnDefaultValueInputDialog(org.eclipse.swt.widgets.Shell parentShell,
                                         SybaseASABaseColumn column)

### ColumnDefaultValueInputDialog

    public ColumnDefaultValueInputDialog(org.eclipse.swt.widgets.Shell parentShell,
                                         SybaseASABaseColumn column,
                                         boolean disableComputed)